git-quick-stats(1)

NAME
git-quick-stats - Simple and efficient way to access various stats in a git repository.

SYNOPSIS

For non-interactive mode: git-quick-stats [OPTIONS]

For interactive mode: git-quick-stats

DESCRIPTION

Any git repository contains tons of information about commits, contributors, and files. Extracting this information is not always trivial, mostly because of a gadzillion options to a gadzillion git commands. This program allows you to see detailed information about a git repository.

OPTIONS

-r, --suggest-reviewers

    show the best people to contact to review code

-T, --detailed-git-stats

    give a detailed list of git stats

-R, --git-stats-by-branch

    see detailed list of git stats by branch

-d, --commits-per-day

    displays a list of commits per day

-m, --commits-by-month

    displays a list of commits per month

-w, --commits-by-weekday

    displays a list of commits per weekday

-o, --commits-by-hour

    displays a list of commits per hour

-A, --commits-by-author-by-hour

    displays a list of commits per hour by author

-a, --commits-per-author

    displays a list of commits per author

-S, --my-daily-stats

    see your current daily stats

-C, --contributors

    see a list of everyone who contributed to the repo

-b, --branch-tree

    show an ASCII graph of the git repo branch history

-D, --branches-by-date

    show branches by date

-c, --changelogs

    see changelogs

-L, --changelogs-by-author

    see changelogs by author

-j, --json-output

    save git log as a JSON formatted file to a specified area

-h, -?, --help

    display this help text in the terminal

ADDITIONAL USAGE
You can set _GIT_SINCE and _GIT_UNTIL to limit the git time log, example:

export _GIT_SINCE="2017-01-20"

You can set _GIT_LIMIT for limited output log, example:

export _GIT_LIMIT=20

You can exclude directories or files from the stats by using pathspec, example:

export _GIT_PATHSPEC=':!pattern'

You can switch to the legacy color scheme, example:

export _MENU_THEME=legacy